Subject: Re: bug#70797: [PATCH] Make the Compilation mode recognize non-legacy Kotlin/Gradle errors
From: Eli Zaretskii <[email-masked]>
To: Rudolf (Rudy) Adamkovic <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Jun 2024 11:34:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Rudolf (Rudy) Adamkovic <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 13 Jun 2024 16:44:04 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >   . applying this fails compile-tests in the test suite, so I guess
> >     some adjustment there is also needed;
> 
> Oops!  In the new patch, attached below, I
> 
> - adjust the existing legacy Gradle/Kotlin tests and
> - add new tests for the non-legacy Gradle/Kotlin warnings/errors.
> 
> I also improved the commit message a bit.
> 
> >   . you removed the comment with the pointer to kotlin sources, which
> >     might be still useful for the legacy format (unless the URL is no
> >     longer valid), so please restore that if the pointer can still be
> >     useful
> 
> Smart!  All right, I did a bit of research, and documented
> 
> - the first and last Kotlin version that emits the current format,
> - the last Kotlin version that used the legacy format,
> - the official Git commit that removed the legacy format,
> - the public release date of the current format, and
> - the Kotlin class where the current format is defined.
> 
> All of it is packed into two short comments.

Thanks, installed on the master branch, and closing the bug.

P.S. Please in the future mention the bug number in the commit log
messages, when you know the number.  In the initial submission of a
patch, the number is usually not known, but if you resubmit, it
usually is known already.  (I added the bug number when installing the
changes.)